Bug 583966 - mailman-update-cfg script should use %{mmdir}, not %{_libdir}
Summary: mailman-update-cfg script should use %{mmdir}, not %{_libdir}
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mailman
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 583967
TreeView+ depends on / blocked
 
Reported: 2010-04-20 11:57 UTC by Daniel Novotny
Modified: 2010-05-05 07:18 UTC (History)
2 users (show)

Fixed In Version: mailman-2.1.12-15.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 583967 (view as bug list)
Environment:
Last Closed: 2010-05-05 07:18:52 UTC
Type: ---


Attachments (Terms of Use)

Description Daniel Novotny 2010-04-20 11:57:40 UTC
Description of problem:

mailman-update-cfg script is used to compile the configuration file in the unconfined_t context (running mailman in mailman_t cannot do this)

because of Merge Review changes due to Fedora guidelines, hardcoded library path was changed to %{_libdir}. But this change makes using mailman scripts clumsy, so it was reverted - however, mailman-update-cfg still uses %{_libdir}


a solution from Nils Philippsen:

Apparently the _libdir thing hasn't been reverted completely. Please apply the
following where applicable (I found it being a problem on F-13, but it should
be an issue from F-12 on when built on 64bit):

----- 8< -----
--- mailman.spec 25 Mar 2010 14:31:26 -0000 1.92
+++ mailman.spec 19 Apr 2010 13:53:11 -0000
@@ -263,7 +263,7 @@ cp -r %{mmbuilddir}/doc $RPM_BUILD_ROOT%
 mkdir -p $RPM_BUILD_ROOT%{_bindir}
 install -m755 %{SOURCE8} $RPM_BUILD_ROOT%{_bindir}
 # set library path in mailman-update-cfg script.
-sed -i 's,@libdir@,%{_libdir},g' $RPM_BUILD_ROOT%{_bindir}/mailman-update-cfg
+sed -i 's,@mmdir@,%{mmdir},g' $RPM_BUILD_ROOT%{_bindir}/mailman-update-cfg

 # remove dir/files from $RPM_BUILD_ROOT that we aren't shipping
 rm -rf $RPM_BUILD_ROOT%{varmmdir}/icons
--- mailman-update-cfg 22 Jul 2009 11:30:13 -0000 1.2
+++ mailman-update-cfg 19 Apr 2010 13:53:11 -0000
@@ -10,4 +10,4 @@

 import py_compile

-py_compile.compile("@libdir@/mailman/Mailman/mm_cfg.py")
+py_compile.compile("@mmdir@/Mailman/mm_cfg.py")
----- >8 -----

Comment 1 Daniel Novotny 2010-04-20 12:18:17 UTC
fixed in rawhide: mailman-2.1.13-2.fc14
will fix in other branches, too

Comment 2 Daniel Novotny 2010-04-20 12:57:37 UTC
F11 is not affected, because the libdir change did not happen there and mailman-update-cfg uses correct hardcoded path

F12 is not affected, because the libdir change revertion did not happen there (it was probably F12 freeze at the time I did it) so %{_libdir} is in effect both in the spec and in mailman-update-cfg

F13 fix will follow

Comment 3 Fedora Update System 2010-04-20 13:00:03 UTC
mailman-2.1.12-15.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mailman-2.1.12-15.fc13

Comment 4 Fedora Update System 2010-04-21 02:17:56 UTC
mailman-2.1.12-15.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mailman'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mailman-2.1.12-15.fc13

Comment 5 Fedora Update System 2010-05-05 07:18:47 UTC
mailman-2.1.12-15.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.